Package com.castlabs.sdk.claws

# Class AbstractClawsServiceListener

java.lang.Object
com.castlabs.sdk.claws.AbstractClawsServiceListener

All Implemented Interfaces:
  `ClawsServiceListener`

public abstract class AbstractClawsServiceListener extends Object implements ClawsServiceListener
Abstract implementation of `ClawsServiceListener` that provides default no-op implementations

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractClawsServiceListener()`
  Default constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onAction(JSONObject action)`
  Called when an action is received.
  `void`
  `onBinderAvailable(ClawsServiceBinder binder)`
  Called when the ClawsServiceBinder is available.
  `void`
  `onDeviceListUpdated(List<Device> connectedDevices)`
  Called when the list of connected devices is updated.
  `void`
  `onError(String message)`
  Called when an error occurs.
  `void`
  `onTransferRequested(String assetId, long positionMs, Device sourceDevice)`
  Called when a transfer is requested.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractClawsServiceListener

    public AbstractClawsServiceListener()
    Default constructor

- ## Method Details

  - ### onError

    public void onError(String message)
    Description copied from interface: `ClawsServiceListener`
    Called when an error occurs.
    Specified by:
      `onError` in interface `ClawsServiceListener`
    Parameters:
      `message` - The error message.

  - ### onDeviceListUpdated

    public void onDeviceListUpdated(List<Device> connectedDevices)
    Description copied from interface: `ClawsServiceListener`
    Called when the list of connected devices is updated.
    Specified by:
      `onDeviceListUpdated` in interface `ClawsServiceListener`
    Parameters:
      `connectedDevices` - The list of connected devices.

  - ### onBinderAvailable

    public void onBinderAvailable(ClawsServiceBinder binder)
    Description copied from interface: `ClawsServiceListener`
    Called when the ClawsServiceBinder is available.
    Specified by:
      `onBinderAvailable` in interface `ClawsServiceListener`
    Parameters:
      `binder` - The ClawsServiceBinder.

  - ### onTransferRequested

    public void onTransferRequested(String assetId, long positionMs, Device sourceDevice)
    Description copied from interface: `ClawsServiceListener`
    Called when a transfer is requested.
    Specified by:
      `onTransferRequested` in interface `ClawsServiceListener`
    Parameters:
      `assetId` - The ID of the asset to transfer.
      `positionMs` - The position in milliseconds to start the transfer from.
      `sourceDevice` - The device to transfer the asset from.

  - ### onAction

    public void onAction(JSONObject action)
    Description copied from interface: `ClawsServiceListener`
    Called when an action is received.
    Specified by:
      `onAction` in interface `ClawsServiceListener`
    Parameters:
      `action` - The action that was received.